# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "rudof_cli"
version = "0.2.12"
authors = [
    "Jose Emilio Labra Gayo <labra@uniovi.es>",
    "Ángel Iglesias Préstamo <angel.iglesias.prestamo@gmail.com>",
    "Marc-Antoine Arnaud <marc-antoine.arnaud@luminvent.com>",
]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "RDF data shapes implementation in Rust"
homepage = "https://rudof-project.github.io/rudof"
documentation = "https://rudof-project.github.io/rudof"
readme = "README.md"
license = "MIT OR Apache-2.0"
repository = "https://github.com/rudof-project/rudof"
resolver = "2"

[[package.metadata.generate-rpm.assets]]
source = "target/release/rudof"
dest = "/usr/bin/rudof"
mode = "755"

[[package.metadata.generate-rpm.assets]]
source = "../README.md"
dest = "/usr/share/doc/rudof/README.md"
mode = "644"
doc = true

[[package.metadata.generate-rpm.assets]]
source = "../LICENSE-MIT"
dest = "/usr/share/doc/rudof/LICENSE-MIT"
mode = "644"
doc = true

[[package.metadata.generate-rpm.assets]]
source = "../LICENSE-APACHE"
dest = "/usr/share/doc/rudof/LICENSE-APACHE"
mode = "644"
doc = true

[lib]
name = "rudof_cli"
path = "src/lib.rs"

[[bin]]
name = "rudof"
path = "src/main.rs"

[dependencies.anyhow]
version = "1.0"

[dependencies.clap]
version = "4.5"
features = ["derive"]

[dependencies.clap_complete_command]
version = "0.6.1"

[dependencies.clientele]
version = "0.3.8"
features = [
    "dotenv",
    "subcommands",
    "std",
]
default-features = false

[dependencies.dctap]
version = "0.2.0"

[dependencies.iri_s]
version = "0.2.9"

[dependencies.is_ci]
version = "1.0"

[dependencies.oxrdf]
version = "0.3.0"
features = [
    "oxsdatatypes",
    "rdf-12",
]

[dependencies.pgschema]
version = "0.2.9"

[dependencies.prefixmap]
version = "0.2.3"

[dependencies.rdf_config]
version = "0.1.102"

[dependencies.regex]
version = "1.11"

[dependencies.rudof_generate]
version = "0.2.1"

[dependencies.rudof_lib]
version = "0.2.0"

[dependencies.rudof_mcp]
version = "0.2.0"

[dependencies.rudof_rdf]
version = "0.2.2"
default-features = false

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.shacl_ast]
version = "0.2.2"

[dependencies.shacl_validation]
version = "0.2.2"

[dependencies.shapes_comparator]
version = "0.2.1"

[dependencies.shapes_converter]
version = "0.2.0"

[dependencies.shex_ast]
version = "0.2.1"

[dependencies.sparql_service]
version = "0.2.2"
default-features = false

[dependencies.supports-color]
version = "3.0.0"

[dependencies.tabled]
version = "0.20.0"
features = ["ansi"]

[dependencies.thiserror]
version = "2.0"

[dependencies.tokio]
version = "1.47.1"
features = ["full"]

[dependencies.tracing]
version = "0.1"

[dependencies.tracing-subscriber]
version = "0.3"
features = [
    "env-filter",
    "fmt",
]

[dependencies.url]
version = "2.2.2"
